Bug 209155 - mail/thunderbird: upgrade enigmail to 1.9.2
Summary: mail/thunderbird: upgrade enigmail to 1.9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-04-29 22:44 UTC by Mikhail Teterin
Modified: 2016-12-16 10:58 UTC (History)
1 user (show)

See Also:


Attachments
Update enigmail to 1.9.2 (877 bytes, patch)
2016-04-29 22:44 UTC, Mikhail Teterin
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2016-04-29 22:44:45 UTC
Created attachment 169818 [details]
Update enigmail to 1.9.2

As you prepare thunderbird itself for update to address the vulnerabilities listed in

 https://vuxml.FreeBSD.org/freebsd/92d44f83-a7bf-41cf-91ee-3d1b8ecf579f.html

please, be sure bump the version of enigmail to the just-released 1.9.2:

 https://www.enigmail.net/index.php/en/download/changelog

Actually, the patch can be applied even without waiting for the fixed TB itself.

That said maybe, enigmail ought to be a separate port instead? Then one would not need to rebuild the entire mail/thunderbird just update one extension...
Comment 1 Jan Beich freebsd_committer 2016-04-30 00:52:03 UTC
Comment on attachment 169818 [details]
Update enigmail to 1.9.2

> Actually, the patch can be applied even without waiting for the fixed TB itself.

PORTREVISION would have to be bumped then.

> That said maybe, enigmail ought to be a separate port instead? Then one would not need to rebuild the entire mail/thunderbird just update one extension...

Agree[1] but

- I don't use mail/thunderbird nor any www/xpi-* port
- gecko@ is understaffed, not disbanded only to keep communication open

[1] https://lists.freebsd.org/pipermail/freebsd-gecko/2016-March/006153.html
Comment 2 Mikhail Teterin freebsd_committer 2016-04-30 00:55:45 UTC
(In reply to Jan Beich from comment #1)
> - I don't use mail/thunderbird nor any www/xpi-* port
What else is there?

> - gecko@ is understaffed, not disbanded only to keep communication open
Most depressing... Isn't Firefox, for one, the most popular port? At least, for desktop-users?
Comment 3 Christoph Moench-Tegeder freebsd_committer 2016-05-02 18:54:27 UTC
As one who occasionally uses thunderbird and enigmail:
- back in the days we had seperated thunderbird and enigmail ports: building enigmail required a mostly-complete build of thunderbird, so on thunderbird updates, you actually built thunderbird twice - once as thunderbird, and once as "support code" for enigmail. I do consider the integrated build we have these days a net win (but I'm not sure if stuff changed and we could build enigmail without the thunderbird source).

- being on the road and with limited computing resources right now, I should be able to commit this next weekend (I'm already running a preliminary build of this patch and did not experience any regression yet), if maintainer approval holds.
Comment 4 Mikhail Teterin freebsd_committer 2016-05-02 19:00:28 UTC
> I do consider the integrated build we have these days a net win

Apparently, enigmail no longer requires _compiling_ anything and can be installed (and updated) by people desiring it through Thunderbird's GUI like most other extensions.

If that's correct, we should simply remove it from mail/thunderbird and be done with it...
Comment 5 commit-hook freebsd_committer 2016-05-06 07:45:02 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  6 07:44:16 UTC 2016
New revision: 414684
URL: https://svnweb.freebsd.org/changeset/ports/414684

Log:
  mail/thunderbird: update to 45.1.0

  - Update ENIGMAIL to 1.9.2 [1]

  Changes:	https://www.mozilla.org/thunderbird/45.1.0/releasenotes/
  Changes:	https://www.enigmail.net/index.php/en/download/changelog [1]
  PR:		209155 [1]
  Submitted by:	mi [1]
  Security:	92d44f83-a7bf-41cf-91ee-3d1b8ecf579f
  MFH:		2016Q2

Changes:
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 6 commit-hook freebsd_committer 2016-05-06 12:38:33 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  6 12:37:37 UTC 2016
New revision: 414703
URL: https://svnweb.freebsd.org/changeset/ports/414703

Log:
  MFH: r414684

  mail/thunderbird: update to 45.1.0

  - Update ENIGMAIL to 1.9.2 [1]

  Changes:	https://www.mozilla.org/thunderbird/45.1.0/releasenotes/
  Changes:	https://www.enigmail.net/index.php/en/download/changelog [1]
  PR:		209155 [1]
  Submitted by:	mi [1]
  Security:	92d44f83-a7bf-41cf-91ee-3d1b8ecf579f
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/mail/linux-thunderbird/Makefile
  branches/2016Q2/mail/linux-thunderbird/distinfo
  branches/2016Q2/mail/thunderbird/Makefile
  branches/2016Q2/mail/thunderbird/distinfo
  branches/2016Q2/mail/thunderbird-i18n/Makefile
  branches/2016Q2/mail/thunderbird-i18n/distinfo
Comment 7 commit-hook freebsd_committer 2016-12-16 10:58:09 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec 16 10:57:49 UTC 2016
New revision: 428672
URL: https://svnweb.freebsd.org/changeset/ports/428672

Log:
  gecko: drop ENIGMAIL, LIGHTNING to simplify updates

  ENIGMAIL can still return as www/xpi-enigmail but, alas, xpi-* ports and
  their framework are mostly unmaintained.

  PR:		209155 (for tracking)

Changes:
  head/UPDATING
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/www/firefox/Makefile.options
  head/www/seamonkey/Makefile
  head/www/seamonkey/distinfo